import { CanvasGestureDOMEventProxy } from "igniteui-webcomponents-core";
import { Type } from "igniteui-webcomponents-core";
import { NormalizedEvent, DomWrapper, DomRenderer } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class CustomDOMEventProxy extends CanvasGestureDOMEventProxy {
    static $t: Type;
    constructor(a: DomWrapper, b: DomRenderer, c: boolean);
    _ec: (arg1: NormalizedEvent) => boolean;
    protected cy(a: NormalizedEvent): void;
    protected cz(a: NormalizedEvent): void;
}
